mapMod = ...

mapMod:registerAssetProcessor("models/bridge.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

mapMod:registerAssetId("models/bridge.fbx/Prefab/BridgePart", MOD_NS .. "TV_MAP_BRIDGE_PREFAB")
mapMod:configurePrefabFlagList("models/bridge.fbx/Prefab/BridgePart", { "TERRAIN", "BRIDGE", "PLATFORM" })
mapMod:registerPrefabComponent("models/bridge.fbx/Prefab/BridgePart", { DataType = "COMP_RIGID_BODY", Mass = 0 })


mapMod:registerAssetProcessor("models/rocks.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
mapMod:registerAssetId("models/rocks.fbx/Prefab/SnowPeak", MOD_NS .. "TV_MAP_MPEAK_PREFAB")


mapMod:registerAssetId("models/rocks.fbx/Prefab/RockA", MOD_NS .. "TV_MAP_SMALL_ROCK_A_PREFAB");
mapMod:registerPrefabComponent("models/rocks.fbx/Prefab/RockA", { DataType = "COMP_RIGID_BODY", Mass = 0 })
mapMod:configurePrefabFlagList("models/rocks.fbx/Prefab/RockA", { "TERRAIN", "PLATFORM" })

mapMod:registerAssetId("models/rocks_aa.fbx/Prefab/RockAA", MOD_NS .. "TV_MAP_SMALL_ROCK_AA_PREFAB");
mapMod:registerPrefabComponent("models/rocks_aa.fbx/Prefab/RockAA", { DataType = "COMP_RIGID_BODY", Mass = 0 })
mapMod:configurePrefabFlagList("models/rocks_aa.fbx/Prefab/RockAA", { "TERRAIN", "PLATFORM" })

mapMod:registerAssetId("models/rocks_b.fbx/Prefab/RockB", MOD_NS .. "TV_MAP_SMALL_ROCK_B_PREFAB");
mapMod:registerPrefabComponent("models/rocks_b.fbx/Prefab/RockB", { DataType = "COMP_RIGID_BODY", Mass = 0 })
mapMod:configurePrefabFlagList("models/rocks_b.fbx/Prefab/RockB", { "TERRAIN", "PLATFORM" })

mapMod:registerAssetId("models/rocks.fbx/Prefab/RockC", MOD_NS .. "TV_MAP_SMALL_ROCK_C_PREFAB");
mapMod:registerAssetId("models/rocks.fbx/Prefab/RockD", MOD_NS .. "TV_MAP_SMALL_ROCK_D_PREFAB");
mapMod:registerAssetId("models/rocks.fbx/Prefab/RockE", MOD_NS .. "TV_MAP_SMALL_ROCK_E_PREFAB");
mapMod:registerAssetId("models/rocks.fbx/Prefab/RockF", MOD_NS .. "TV_MAP_SMALL_ROCK_F_PREFAB");
mapMod:registerAssetId("models/rocks.fbx/Prefab/MineralA", MOD_NS .. "TV_MAP_MINERAL_ROCK_A_PREFAB");

mapMod:registerPrefabComponent("models/rocks.fbx/Prefab/MineralA", {
	DataType = "COMP_RESOURCE_GENERATOR"
})

mapMod:registerPrefabComponent("models/rocks.fbx/Prefab/MineralA", {
	DataType = "COMP_RESOURCE_CONTAINER",
	ResourceData = "IRON_ORE",
	Radius = 20,
})


mapMod:registerAssetId("models/snowy_rocks.fbx/Prefab/RockA", MOD_NS .. "TV_MAP_SMALL_ROCK_SNOW_A_PREFAB");