mapMod = ...

local rockA = MOD_NS .. "TV_MAP_SMALL_ROCK_A_PREFAB"
local rockAA = MOD_NS .. "TV_MAP_SMALL_ROCK_AA_PREFAB"
local rockB = MOD_NS .. "TV_MAP_SMALL_ROCK_B_PREFAB"
local rockC = MOD_NS .. "TV_MAP_SMALL_ROCK_C_PREFAB"
local rockD = MOD_NS .. "TV_MAP_SMALL_ROCK_D_PREFAB"
local rockE = MOD_NS .. "TV_MAP_SMALL_ROCK_E_PREFAB"
local rockF = MOD_NS .. "TV_MAP_SMALL_ROCK_F_PREFAB"

mapMod:override({
	Id = "MAP_JK_TV_01",
	SpawnList = {
		Action = "APPEND", -- Append the following value to the existing list
        { Prefab = "JK_TV_MAP_BRIDGE_PREFAB", Position = {
                600.749756, 
                -6.041382, 
                973.587585
            }, Orientation = {
                0, 
                0.990986, 
                0, 
                -0.133966
        } },
        -- { Prefab = "JK_TV_MAP_MPEAK_PREFAB", Position = {
        --     1004.982300, 
        --     118.640167, 
        --     602.030090
        -- }, Orientation = {
        --     0, 
        --     0.897504, 
        --     0, 
        --     -0.441005
        -- } }
        -- , { Prefab = "JK_TV_MAP_MPEAK_PREFAB", Position = {
        --     1098.969458, 
        --     130.353607, 
        --     748.072327
        -- }, Orientation = {
        --     0, 
        --     0.378507, 
        --     0, 
        --     0.925598
        -- } }
        -- , { Prefab = "JK_TV_MAP_MPEAK_PREFAB", Position = {
        --     1059.174988, 
        --     78.416595, 
        --     875.922119
        -- }, Orientation = {
        --     0, 
        --     -0.040478, 
        --     0, 
        --     0.999180
        -- } },
        { Prefab = "JK_TV_MAP_SMALL_ROCK_SNOW_A_PREFAB", Position = { 1137.331482, 73.787628, 865.701721}, Orientation = { 0, -0.773649, 0, 0.633614}, Scale = { 2.5, 2.1, 2.5 } },
        { Prefab = "JK_TV_MAP_SMALL_ROCK_SNOW_A_PREFAB", Position = { 1131.302917, 64.926208, 629.980652}, Orientation = { 0, 0.109224, 0, 0.994017}, Scale = { 2.5, 2.5, 2.5} },
        { Prefab = rockA, Position = { 322.581360, -7.124023, 405.129303}, Orientation = { 0, 0.782476, 0, 0.622681} },
        { Prefab = rockA, Position = { 399.722900, -4.438538, 481.495728}, Orientation = { 0, 0.999867, 0, -0.016314} },
        { Prefab = rockA, Position = { 459.353760, -9.889771, 492.307037}, Orientation = { 0, -0.339687, 0, 0.940538} },
        { Prefab = rockA, Position = { 568.449463, -7.120209, 587.694214}, Orientation = { 0, -0.751162, 0, 0.660118} },
        { Prefab = rockA, Position = { 568.453003, -10.808014, 545.029968}, Orientation = { 0, -0.146710, 0, 0.989180} },
        { Prefab = rockB, Position = { 540.801758, -8.174011, 511.025726}, Orientation = { 0, -0.774092, 0, 0.633073} },
        { Prefab = rockB, Position = { 748.272522, -1.179993, 181.217621}, Orientation = { 0, 0.891380, 0, -0.453258} },
        { Prefab = rockA, Position = { 798.740173, -4.350494, 191.770676}, Orientation = { 0, 0.569146, 0, 0.822236} },
        { Prefab = rockB, Position = { 793.621216, -4.415497, 240.209229}, Orientation = { 0, 0.710874, 0, 0.703319} },
        { Prefab = rockB, Position = { 822.357117, -8.050903, 171.728210}, Orientation = { 0, 0.991629, 0, -0.129123} },
        { Prefab = rockC, Position = { 355.949951, 1.745941, 436.444458}, Orientation = { 0, 0.809892, 0, 0.586579} },
        { Prefab = rockC, Position = { 384.152679, 1.671631, 456.567230}, Orientation = { 0, 0.983283, 0, 0.182086} },
        { Prefab = rockC, Position = { 379.036774, 3.503357, 465.299683}, Orientation = { 0, -0.829197, 0, 0.558957} },
        { Prefab = rockC, Position = { 312.676208, 10.909943, 419.839417}, Orientation = { 0, 0.999452, 0, -0.033097} },
        { Prefab = rockC, Position = { 455.305389, 1.636200, 405.965759}, Orientation = { 0, -0.555324, 0, 0.831634} },
        { Prefab = rockC, Position = { 298.802429, 1.506836, 362.313904}, Orientation = { 0, 0.972448, 0, -0.233120} },
        { Prefab = rockC, Position = { 349.144226, 0.198059, 417.323822}, Orientation = { 0, 0.955007, 0, 0.296582} },
        { Prefab = rockC, Position = { 342.641632, 3.328003, 438.522156}, Orientation = { 0, -0.133230, 0, 0.991085} },
        { Prefab = rockC, Position = { 484.343811, -0.290133, 493.722687}, Orientation = { 0, 0.953553, 0, 0.301226} },
        { Prefab = rockC, Position = { 526.439941, 1.994535, 512.971252}, Orientation = { 0, 0.990303, 0, -0.138925} },
        { Prefab = rockC, Position = { 527.211914, 7.365171, 522.873352}, Orientation = { 0, 0.912613, 0, 0.408825} },
        { Prefab = rockD, Position = { 351.343201, 0.364380, 421.097595}, Orientation = { 0, 0.690902, 0, 0.722948} },
        { Prefab = rockD, Position = { 347.083649, 1.998962, 429.734375}, Orientation = { 0, 0.841139, 0, 0.540820} },
        { Prefab = rockD, Position = { 373.912384, 0.528992, 449.102783}, Orientation = { 0, 0.998977, 0, -0.045225} },
        { Prefab = rockD, Position = { 327.785583, 14.297852, 422.346863}, Orientation = { 0, 0.998737, 0, -0.050247} },
        { Prefab = rockD, Position = { 411.702820, -0.277649, 328.899078}, Orientation = { 0, 0.388833, 0, 0.921308} },
        { Prefab = rockD, Position = { 467.052155, 8.513855, 500.322113}, Orientation = { 0, 0.235575, 0, 0.971856} },
        { Prefab = rockD, Position = { 443.384827, 12.471191, 497.803345}, Orientation = { 0, 0.770389, 0, 0.637574} },
        { Prefab = rockD, Position = { 589.653137, -0.087677, 600.296692}, Orientation = { 0, -0.141860, 0, 0.989887} },
        { Prefab = rockD, Position = { 596.775391, -3.349823, 559.413513}, Orientation = { 0, 0.877891, 0, 0.478861} },
        { Prefab = rockE, Position = { 351.795105, 1.691345, 430.862823}, Orientation = { 0, -0.279920, 0, 0.960023} },
        { Prefab = rockE, Position = { 346.288269, 2.858795, 437.192535}, Orientation = { 0, -0.462889, 0, 0.886416} },
        { Prefab = rockE, Position = { 307.556763, 6.943909, 384.259613}, Orientation = { 0, -0.462889, 0, 0.886416} },
        { Prefab = rockE, Position = { 317.254242, 1.422760, 377.421692}, Orientation = { 0, -0.462889, 0, 0.886416} },
        { Prefab = rockE, Position = { 379.056122, 1.320496, 453.286316}, Orientation = { 0, -0.462889, 0, 0.886416} },
        { Prefab = rockE, Position = { 340.781799, 3.895691, 442.014862}, Orientation = { 0, -0.462889, 0, 0.886416} },
        { Prefab = rockE, Position = { 310.336121, 12.005310, 423.650665}, Orientation = { 0, -0.462889, 0, 0.886416} },
        { Prefab = rockE, Position = { 487.405121, 0.448334, 496.718628}, Orientation = { 0, -0.462889, 0, 0.886416} },
        { Prefab = rockE, Position = { 441.549500, 14.443848, 502.681824}, Orientation = { 0, -0.462889, 0, 0.886416} },
        { Prefab = rockE, Position = { 433.627594, 12.063660, 491.744507}, Orientation = { 0, -0.462889, 0, 0.886416} },
        { Prefab = rockE, Position = { 536.618591, 8.272644, 531.803833}, Orientation = { 0, -0.462889, 0, 0.886416} },
        { Prefab = rockE, Position = { 561.237244, 10.254700, 549.482300}, Orientation = { 0, -0.462889, 0, 0.886416} },
        { Prefab = rockE, Position = { 564.470398, 3.548645, 617.216797}, Orientation = { 0, -0.824179, 0, 0.566329} },
        { Prefab = rockE, Position = { 751.956604, 4.416840, 175.265762}, Orientation = { 0, -0.450673, 0, 0.892689} },
        { Prefab = rockE, Position = { 734.062866, 3.460999, 174.990555}, Orientation = { 0, -0.450673, 0, 0.892689} },
        { Prefab = rockE, Position = { 753.259705, 14.187164, 197.090439}, Orientation = { 0, 0.918547, 0, -0.395312} },
        { Prefab = rockE, Position = { 807.998535, 1.910187, 231.580780}, Orientation = { 0, 0.950359, 0, -0.311154} },
        { Prefab = rockF, Position = { 350.563416, 1.500226, 429.941132}, Orientation = { 0, 0.930748, 0, -0.365661} },
        { Prefab = rockF, Position = { 378.740692, 0.366871, 448.994080}, Orientation = { 0, 0.895785, 0, 0.444488} },
        { Prefab = rockF, Position = { 385.050964, 1.209340, 454.195282}, Orientation = { 0, 0.331943, 0, 0.943299} },
        { Prefab = rockF, Position = { 433.789520, 10.704053, 489.103851}, Orientation = { 0, 0.331943, 0, 0.943299} },
        { Prefab = rockF, Position = { 481.509460, -3.238057, 487.516632}, Orientation = { 0, 0.331943, 0, 0.943299} },
        { Prefab = rockF, Position = { 358.730957, 1.329141, 435.791046}, Orientation = { 0, 0.331943, 0, 0.943299} },
        { Prefab = rockF, Position = { 353.714233, 1.341022, 430.039551}, Orientation = { 0, 0.331943, 0, 0.943299} },
        { Prefab = rockF, Position = { 346.627258, 3.019948, 439.645569}, Orientation = { 0, -0.530808, 0, 0.847492} },
        { Prefab = rockF, Position = { 315.320435, 2.210469, 377.299744}, Orientation = { 0, -0.530808, 0, 0.847492} },
        { Prefab = rockF, Position = { 312.396729, 1.493611, 373.808807}, Orientation = { 0, -0.530808, 0, 0.847492} },
        { Prefab = rockF, Position = { 317.467407, -0.495870, 372.604431}, Orientation = { 0, -0.795249, 0, 0.606283} },
        { Prefab = rockF, Position = { 462.349945, 9.302510, 500.099609}, Orientation = { 0, 0.904163, 0, -0.427188} },
        { Prefab = rockF, Position = { 446.835876, 12.547341, 499.740936}, Orientation = { 0, -0.647488, 0, 0.762075} },
        { Prefab = rockF, Position = { 571.397522, 2.606801, 617.494507}, Orientation = { 0, -0.647488, 0, 0.762075} },
        { Prefab = rockF, Position = { 585.378662, 1.947327, 599.196350}, Orientation = { 0, -0.722083, 0, 0.691806} },
        { Prefab = rockF, Position = { 347.468018, 1.210999, 422.103394}, Orientation = { 0, 0.937581, 0, 0.347768} },
        { Prefab = rockF, Position = { 753.541504, 13.107239, 194.499817}, Orientation = { 0, 0.985617, 0, -0.168995} },
        { Prefab = rockF, Position = { 754.348206, 13.411499, 195.143372}, Orientation = { 0, 0.679954, 0, 0.733255} },
        { Prefab = rockF, Position = { 494.109039, 1.432251, 501.668945}, Orientation = { 0, 0.893800, 0, 0.448465} },
        { Prefab = rockF, Position = { 521.323425, 2.745392, 513.108521}, Orientation = { 0, 0.893800, 0, 0.448465} },
        { Prefab = rockF, Position = { 517.192810, 1.284119, 509.518250}, Orientation = { 0, 0.516450, 0, 0.856317} },
        { Prefab = rockF, Position = { 574.970398, 1.697083, 630.860291}, Orientation = { 0, 0.516450, 0, 0.856317} },
        { Prefab = rockF, Position = { 359.848663, 0.029053, 427.801575}, Orientation = { 0, 0.516450, 0, 0.856317} },
        { Prefab = rockF, Position = { 293.973694, 4.567871, 369.104034}, Orientation = { 0, 0.107494, 0, 0.994206} },
        { Prefab = rockF, Position = { 296.822723, 3.027466, 366.183105}, Orientation = { 0, 0.107494, 0, 0.994206} },
        { Prefab = rockF, Position = { 299.221619, 2.324341, 366.595154}, Orientation = { 0, 0.107494, 0, 0.994206} },
        { Prefab = rockF, Position = { 281.854767, 4.467346, 358.235565}, Orientation = { 0, 0.941855, 0, 0.336020} },
        { Prefab = rockF, Position = { 284.114319, 1.873352, 351.711060}, Orientation = { 0, 0.941855, 0, 0.336020} },
        { Prefab = rockA, Position = { 675.437073, 2.515320, 457.069031}, Orientation = { 0, 0.892761, 0, -0.450531} },
        { Prefab = rockA, Position = { 718.860413, -3.982971, 362.242859}, Orientation = { 0, -0.731386, 0, 0.681964} },
        { Prefab = rockA, Position = { 646.991943, -6.218872, 474.563721}, Orientation = { 0, 0.998287, 0, -0.058498} },
        { Prefab = rockB, Position = { 815.357117, -10.050903, 171.728210}, Orientation = { 0, 0.991629, 0, -0.129123} },
        { Prefab = rockB, Position = { 700.680725, 5.299438, 433.841003}, Orientation = { 0, 0.997622, 0, 0.068917} },
        { Prefab = rockB, Position = { 677.287781, -2.523193, 479.604401}, Orientation = { 0, 0.975912, 0, 0.218164} },
        { Prefab = rockB, Position = { 710.166382, 1.773499, 415.557800}, Orientation = { 0, 0.882036, 0, 0.471182} },
        { Prefab = rockB, Position = { 727.037231, -2.038879, 290.824066}, Orientation = { 0, 0.877550, 0, -0.479484} },
        { Prefab = rockB, Position = { 682.361694, -0.516693, 481.483521}, Orientation = { 0, 0.962928, 0, 0.269757} },
        { Prefab = rockC, Position = { 619.897766, 0.747742, 492.099731}, Orientation = { 0, -0.445258, 0, 0.895402} },
        { Prefab = rockC, Position = { 658.992065, -3.852509, 500.059692}, Orientation = { 0, 0.014225, 0, 0.999899}, Scale = { 2, 2, 2} },
        { Prefab = rockC, Position = { 715.998779, 3.337799, 425.926605}, Orientation = { 0, 0.555854, 0, 0.831280}, Scale = { 2, 2, 2} },
        { Prefab = rockC, Position = { 740.319763, 0.629822, 376.172760}, Orientation = { 0, 0.063235, 0, 0.997999}, Scale = { 2, 2, 2} },
        { Prefab = rockC, Position = { 739.291687, 0.636932, 318.495361}, Orientation = { 0, 0.869092, 0, 0.494650}, Scale = { 2, 2, 2} },
        { Prefab = rockC, Position = { 739.631348, 1.752563, 302.539490}, Orientation = { 0, 0.215565, 0, 0.976489}, Scale = { 2, 2, 2} },
        { Prefab = rockB, Position = { 625.087708, 6.892212, 455.593872}, Orientation = { 0, 0.283055, 0, 0.959104} },
        { Prefab = rockA, Position = { 666.133850, -8.018280, 688.092529}, Orientation = { 0, 0.480364, 0, 0.877069} },
        { Prefab = rockA, Position = { 620.616760, 6.629456, 825.514404}, Orientation = { 0, 0.340061, 0, 0.940404} },

        { Prefab = rockA, Position = { 540.125916, -3.274231, 899.143921}, Orientation = { 0, -0.612382, 0, 0.790562} },
        { Prefab = rockAA, Position = { 618.472961, -4.678284, 724.074707}, Orientation = { 0, -0.287020, 0, 0.957925} },
        { Prefab = rockAA, Position = { 602.168518, -12.012299, 887.255188}, Orientation = { 0, 0.083749, 0, 0.996487} },
        { Prefab = rockAA, Position = { 599.297363, -2.912537, 784.425293}, Orientation = { 0, -0.118340, 0, 0.992973} },
        { Prefab = rockAA, Position = { 562.093628, -10.098724, 926.656128}, Orientation = { 0, 0.980039, 0, -0.198806} },
        { Prefab = rockB, Position = { 601.990906, 4.406647, 755.528625}, Orientation = { 0, -0.090113, 0, 0.995932} },
        { Prefab = rockB, Position = { 645.850769, -4.920636, 688.608215}, Orientation = { 0, -0.129540, 0, 0.991574} },
        { Prefab = rockB, Position = { 625.449890, -13.984100, 699.334412}, Orientation = { 0, -0.788141, 0, 0.615495} },
        { Prefab = rockB, Position = { 607.368103, -4.996033, 918.304199}, Orientation = { 0, 0.483922, 0, 0.875111} },
        { Prefab = rockB, Position = { 589.536560, -7.023499, 819.020264}, Orientation = { 0, 0.088059, 0, 0.996115} },
        { Prefab = rockB, Position = { 599.224487, -1.970154, 875.758545}, Orientation = { 0, 0.484470, 0, 0.874808} },
        { Prefab = rockB, Position = { 599.318481, -13.197693, 771.737549}, Orientation = { 0, 0.928379, 0, 0.371634} },
        { Prefab = rockA, Position = { 624.251160, 9.314362, 755.737183}, Orientation = { 0, 0.579154, 0, 0.815218} },
        { Prefab = rockB, Position = { 596.997803, 9.071106, 816.152222}, Orientation = { 0, 0.089878, 0, 0.995953} },
        { Prefab = rockB, Position = { 586.851746, -10.102539, 838.624634}, Orientation = { 0, -0.664691, 0, 0.747119} },
        { Prefab = rockB, Position = { 585.050293, -2.313629, 825.605469}, Orientation = { 0, -0.149438, 0, 0.988771} },
        { Prefab = rockC, Position = { 644.986389, 17.519653, 702.866638}, Orientation = { 0, 0.977590, 0, 0.210517} },
        { Prefab = rockC, Position = { 588.077393, 0.416504, 788.494324}, Orientation = { 0, -0.345226, 0, 0.938520} },
        { Prefab = rockC, Position = { 588.696289, -0.881927, 777.972656}, Orientation = { 0, -0.389367, 0, 0.921083} },
        { Prefab = rockC, Position = { 595.800476, 8.160614, 762.093262}, Orientation = { 0, 0.919815, 0, 0.392353} },
        { Prefab = rockC, Position = { 582.847961, 5.445282, 839.344788}, Orientation = { 0, 0.936920, 0, -0.349543} },
        { Prefab = rockC, Position = { 580.343750, 0.753418, 836.554199}, Orientation = { 0, 0.936920, 0, -0.349543} },
        { Prefab = rockC, Position = { 589.647522, 0.780487, 861.960571}, Orientation = { 0, -0.381565, 0, 0.924342} },
        { Prefab = rockC, Position = { 690.585144, -0.100555, 644.145142}, Orientation = { 0, 0.972955, 0, 0.230995} },
        { Prefab = rockD, Position = { 648.193665, 13.107300, 694.405273}, Orientation = { 0, 0.994830, 0, 0.101551} },
        { Prefab = rockD, Position = { 626.517029, -0.831238, 696.016113}, Orientation = { 0, 0.937950, 0, -0.346770} },
        { Prefab = rockD, Position = { 596.432739, -0.436340, 749.108704}, Orientation = { 0, -0.850203, 0, 0.526455}, Scale = {2.5, 2.5, 2.5}},
        { Prefab = rockD, Position = { 587.278564, -6.950470, 751.740234}, Orientation = { 0, 0.993694, 0, 0.112126}, Scale = {2.5, 2.5, 2.5} },
        { Prefab = rockD, Position = { 608.728760, -6.622955, 713.617432}, Orientation = { 0, 0.979893, 0, -0.199524}, Scale = {2.5, 2.5, 2.5} },
        { Prefab = rockE, Position = { 604.946655, 25.998535, 787.617004}, Orientation = { 0, 0, 0, 1} },
        { Prefab = rockE, Position = { 604.734314, 25.279724, 803.580566}, Orientation = { 0, 0, 0, 1} },
        { Prefab = rockE, Position = { 602.304993, 24.631470, 805.766846}, Orientation = { 0, 0, 0, 1} },
        { Prefab = rockE, Position = { 616.418762, 23.758209, 736.884155}, Orientation = { 0, 0.993228, 0, -0.116183} },
        { Prefab = rockE, Position = { 609.430359, 16.811462, 886.942871}, Orientation = { 0, 0.993228, 0, -0.116183} },
        { Prefab = rockAA, Position = { 543.187561, -16.943823, 806.472656}, Orientation = { 0.004, 0.985, -0.174, -0.024 } },
        { Prefab = rockAA, Position = { 981.392395, -12.401978, 189.009369}, Orientation = { 0, -0.611082, 0, 0.791567} },
        { Prefab = rockAA, Position = { 927.471252, -5.118164, 219.764664}, Orientation = { 0, -0.419076, 0, 0.907951} },
        { Prefab = rockAA, Position = { 947.512817, 4.563599, 217.649872}, Orientation = { 0, -0.452341, 0, 0.891845} },
        { Prefab = rockB, Position = { 908.956909, 8.668579, 241.860474}, Orientation = { 0, 0.048554, 0, 0.998821} },
        { Prefab = rockD, Position = { 899.482788, 9.845032, 242.974319}, Orientation = { 0, 0.932210, 0, 0.361918}, Scale = {2.5, 2.5, 2.5} },
        { Prefab = rockD, Position = { 905.460571, 16.357361, 248.865540}, Orientation = { 0, 0.878392, 0, -0.477941}, Scale = {2.5, 2.5, 2.5} },
        { Prefab = rockD, Position = { 918.269897, -1.399078, 212.722961}, Orientation = { 0, 0.981080, 0, 0.193602}, Scale = {2.5, 2.5, 2.5} },
        { Prefab = rockD, Position = { 986.514832, 13.854004, 196.847992}, Orientation = { 0, 0.090277, 0, 0.995917}, Scale = {2.5, 2.5, 2.5} },
        { Prefab = rockE, Position = { 896.887756, 6.372040, 235.106415}, Orientation = { 0, 0, 0, 1} },
        { Prefab = rockE, Position = { 893.365723, 2.884399, 230.933441}, Orientation = { 0, -0.430159, 0, 0.902753} },
        { Prefab = rockE, Position = { 913.055908, 27.043945, 254.212158}, Orientation = { 0, 0.448469, 0, 0.893799} },
        { Prefab = rockE, Position = { 916.628174, 1.570343, 178.479843}, Orientation = { 0, 0.448469, 0, 0.893799} },
        { Prefab = rockE, Position = { 907.636963, 1.675232, 169.318192}, Orientation = { 0, -0.089827, 0, 0.995957} },
        { Prefab = rockE, Position = { 922.407227, 1.317902, 207.274017}, Orientation = { 0, 0.452522, 0, 0.891753} },
        { Prefab = rockE, Position = { 916.663818, 4.016541, 217.182068}, Orientation = { 0, 0.452522, 0, 0.891753} },
        { Prefab = rockE, Position = { 984.149353, 20.485657, 199.809402}, Orientation = { 0, -0.359355, 0, 0.933201} },
        { Prefab = rockE, Position = { 862.567139, 1.369232, 248.894669}, Orientation = { 0, -0.359355, 0, 0.933201} },
        { Prefab = rockE, Position = { 865.629028, 2.038116, 249.291595}, Orientation = { 0, -0.359355, 0, 0.933201} },
        { Prefab = rockE, Position = { 863.320374, 2.121887, 250.581467}, Orientation = { 0, 0.886696, 0, -0.462353} },
        { Prefab = rockE, Position = { 930.994751, 1.846863, 170.489761}, Orientation = { 0, 0.961793, 0, 0.273779} },
        { Prefab = rockC, Position = { 912.979004, 1.538483, 214.354263}, Orientation = { 0, -0.821010, 0, 0.570913} },
        { Prefab = rockC, Position = { 894.307434, 4.019409, 232.614365}, Orientation = { 0, 0.998792, 0, 0.049136} },
        { Prefab = rockC, Position = { 897.227051, 4.722717, 232.225159}, Orientation = { 0, 0.929940, 0, -0.367710} },
        { Prefab = rockC, Position = { 859.577698, 1.013458, 249.584061}, Orientation = { 0, 0.929940, 0, -0.367710} },
        { Prefab = rockC, Position = { 933.389160, 1.018585, 173.264481}, Orientation = { 0, -0.083442, 0, 0.996513} },
        { Prefab = rockC, Position = { 918.003418, 0.825104, 181.510391}, Orientation = { 0, 0.957610, 0, -0.288068} },
        { Prefab = rockC, Position = { 896.928528, -0.601288, 218.760529}, Orientation = { 0, -0.582432, 0, 0.812879} },
        { Prefab = rockAA, Position = { 855.842285, 45.769958, 971.097046}, Orientation = {  0.133, -0.987, -0.053, 0.066} },
        { Prefab = rockAA, Position = { 960.184448, 48.032013, 916.438477}, Orientation = { 0, -0.267940, 0, 0.963436} },
        { Prefab = rockAA, Position = { 964.342041, 65.260315, 964.154907}, Orientation = {  0.067, -0.113, -0.183,  0.974} },
        { Prefab = rockB, Position = { 944.808472, 57.501343, 954.686157}, Orientation = { 0, 0.035656, 0, 0.999364} },
        { Prefab = rockB, Position = { 822.079956, 67.403503, 928.273071}, Orientation = { 0, 0.927655, 0, -0.373437} },
        { Prefab = rockB, Position = { 871.085876, 36.240601, 1000.862000}, Orientation = { 0, 0.937562, 0, 0.347818} },
        { Prefab = rockC, Position = { 889.291443, 34.975525, 980.680115}, Orientation = { 0, 0.567861, 0, 0.823124} },
        { Prefab = rockC, Position = { 865.095337, 51.579773, 964.716553}, Orientation = { 0, 0.881599, 0, 0.472000} },
        { Prefab = rockC, Position = { 893.206482, 37.176880, 955.758545}, Orientation = { 0, 0.567285, 0, 0.823522} },
        { Prefab = rockC, Position = { 937.146301, 50.571960, 948.133484}, Orientation = { 0, -0.702809, 0, 0.711378} },
        { Prefab = rockC, Position = { 923.977844, 41.876404, 983.129150}, Orientation = { 0, -0.690197, 0, 0.723621} },
        { Prefab = rockC, Position = { 876.767212, 41.570068, 984.450256}, Orientation = { 0, 0.999236, 0, 0.039093} },
        { Prefab = rockC, Position = { 879.666931, 38.567505, 988.180359}, Orientation = { 0, 0.616186, 0, 0.787601} },
        { Prefab = rockC, Position = { 879.988403, 38.002258, 1005.050842}, Orientation = { 0, 0.890704, 0, 0.454584} },
        { Prefab = rockE, Position = { 893.063110, 33.775818, 980.061523}, Orientation = { 0, -0.667002, 0, 0.745056} },
        { Prefab = rockE, Position = { 882.083679, 36.892456, 991.023132}, Orientation = { 0, -0.558658, 0, 0.829398} },
        { Prefab = rockE, Position = { 867.783752, 49.774475, 963.897888}, Orientation = { 0, -0.558658, 0, 0.829398} },
        { Prefab = rockE, Position = { 838.029236, 70.891571, 943.487610}, Orientation = { 0, -0.558658, 0, 0.829398} },
        { Prefab = rockE, Position = { 890.208801, 34.949890, 978.693970}, Orientation = { 0, 0.928828, 0, -0.370512} },
        { Prefab = rockD, Position = { 869.942871, 47.717712, 949.590698}, Orientation = { 0, -0.132816, 0, 0.991141} },
        { Prefab = rockAA, Position = { 738.651123, 39.044037, 848.423584}, Orientation = { 0.140, -0.632, -0.165, 0.745}, Scale = {0.8, 1.2, 0.8 } },
        { Prefab = rockAA, Position = { 725.260437, 53.029602, 906.197021}, Orientation = { 0.012, -0.045, -0.259, 0.965} },
        { Prefab = rockB, Position = { 743.275269, 53.776489, 871.678955}, Orientation = { 0, -0.289353, 0, 0.957222} },
        { Prefab = rockD, Position = { 720.265198, 58.523926, 879.941772}, Orientation = { 0, -0.730251, 0, 0.683179}, Scale = { 2.2, 2.2, 2.2 } },
        { Prefab = rockD, Position = { 714.331360, 56.758453, 877.125610}, Orientation = { 0, 0.997656, 0, 0.068432}, Scale = { 1.4, 1.5, 1.3 }},
        --{ Prefab = MOD_NS .. "TV_MAP_MINERAL_ROCK_A_PREFAB", Position = { 926.508118, 35.399261, 267.291138}, Orientation = { 0, -0.590344, 0, 0.807152} },
	}
})